[project]
name = "addressex"
version = "0.1.0"
description = "Address parser API"
authors = [{ name = "EmCasa Developer", email = "dev@emcasa.com>" }]
readme = "README.md"
requires-python = ">=3.13,<4.0"
dependencies = [
  "postal>=1.1.10",
  "pynest-api>=0.3.0,<1.0.0"
]

[tool.poetry]
package-mode = false

[tool.poetry.group.dev.dependencies]
ipython = "^9.2.0"
pytest = "^8.3.5"
black = "^25.1.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
